=== tests/checkfs/Makefile ===
TARGETS = checkfs makefiles

include ../../common.mk

$(TARGETS): $(addprefix $(BUILDDIR)/, comm.o)
