=== tests/fs-tests/Makefile ===

SUBDIRS = lib simple stress integrity utils

all clean tests: $(SUBDIRS)

.PHONY: $(SUBDIRS)
$(SUBDIRS):
	$(MAKE) -C $@ $(MAKECMDGOALS)
