=== tests/ubi-tests/Makefile ===
--- 
+++ 
@@ -8,7 +8,8 @@
 TARGETS=io_update volrefcnt integ io_paral io_read io_basic \
           mkvol_basic mkvol_bad mkvol_paral rsvol
 
-CFLAGS += -I$(LIBUBI_HEADER_PATH) -I $(KERNELHDR) -lpthread
+CFLAGS += -I$(LIBUBI_HEADER_PATH) -I $(KERNELHDR)
+LDLIBS += -lpthread
 
 include ../../common.mk
 
@@ -17,7 +18,7 @@
 	$(CC) $(CFLAGS) -I $(LIBUBI_PATH) -I../../include -DUDEV_SETTLE_HACK -c $(LIBUBI_PATH)/libubi.c -o libubi.o
 	ar cr libubi.a libubi.o
 
-$(TARGETS): $(addprefix $(BUILDDIR)/, common.o) libubi.a
+$(TARGETS): $(addprefix $(BUILDDIR)/, helpers.o) libubi.a
 
 clean::
 	rm -f libubi.a
