=== debian/changelog ===
mtd-utils (1:1.5.2-1) unstable; urgency=medium

  * New upstream version

 -- Riku Voipio <riku.voipio@linaro.org>  Tue, 18 Aug 2015 11:16:21 +0300

mtd-utils (1:1.5.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC 5 (Closes: #778017).

 -- James Cowgill <james410@cowgill.org.uk>  Wed, 08 Jul 2015 19:21:38 +0100

mtd-utils (1:1.5.1-1) unstable; urgency=medium

  * New upstream version

 -- Riku Voipio <riku.voipio@linaro.org>  Mon, 30 Jun 2014 22:15:54 +0300

mtd-utils (1:1.5.0-1) unstable; urgency=low

  * New upstream version

 -- Riku Voipio <riku.voipio@linaro.org>  Wed, 16 May 2012 11:51:48 +0300

mtd-utils (1:1.4.9-1) unstable; urgency=low

  * New upstream version

 -- Riku Voipio <riku.voipio@linaro.org>  Thu, 03 May 2012 14:28:04 +0300

mtd-utils (1:1.4.4-1) unstable; urgency=low

  * New upstream version
  * start using release tags from upstream, thus add epoch

 -- Riku Voipio <riku.voipio@linaro.org>  Mon, 23 May 2011 12:46:10 +0300

mtd-utils (20110107-1) unstable; urgency=medium

  * New upstream version
  * Ubi creation works again: Closes: #570493, #592485
  * gcc 4.5 builds work, Closes: #565082

 -- Riku Voipio <riku.voipio@iki.fi>  Fri, 07 Jan 2011 11:50:29 +0200

mtd-utils (20100706-1) unstable; urgency=low

  * New upstream version

 -- Riku Voipio <riku.voipio@iki.fi>  Fri, 06 Aug 2010 23:55:45 +0300

mtd-utils (20090606-1) unstable; urgency=medium

  * new upstream snapshot
  * urgency medium due to fixing brown paper bag bug in mkfs.ubifs

 -- Riku Voipio <riku.voipio@iki.fi>  Sat, 06 Jun 2009 17:53:58 +0300

mtd-utils (20090511-1) unstable; urgency=low

  * new upstream snapshot

 -- Riku Voipio <riku.voipio@iki.fi>  Tue, 07 Apr 2009 23:59:24 +0300

mtd-utils (20090217-1) unstable; urgency=low

  [ Riku Voipio ]
  * New upstream snapshot
  *  Adds mkfs.ubifs !
  *  lots of fixes

 -- Riku Voipio <riku.voipio@iki.fi>  Tue, 17 Feb 2009 20:38:54 +0200

mtd-utils (20080508-1) unstable; urgency=low

  [ Riku Voipio ]
  * New upstream snapshot
  * remove mtd-tools conflict to allow proper migration

  [ Artem Bityutskiy ]
  * ubi-utils: fix long options
  * ubi-utils: make sure only one volume is auto-resize
  * ubi-utils: improve input parameters checks
  * mtd-utils: fix input parameter checks
  * ubi-utils: fix percent output in ubiformat
  * ubi-utils: fix the output print
  * ubi-utils: improve input parameters checks
  * ubi-utils: add ubiformat
  * ubi-utils: add libscan
  * ubi-utils: add libmtd
  * ubi-utils: various clean-ups and preparations
  * ubi-utils: use common.h in libubi
  * Teach libubi_open not to prirnt error message
  * ubinize: correctly calculate VID offset when min I/O unit is 1
  * ubi-utils: fix a typo

  [ Siarhei Siamashka ]
  * mkfs.jffs2.c: fix issue with crashing when using lzo compression

 -- Riku Voipio <riku.voipio@iki.fi>  Thu, 08 May 2008 22:05:36 +0300

mtd-utils (20080411-1) unstable; urgency=low

  [ Artem Bityutskiy ]
  * ubi-utils: fix printing typos

  [ Hamish Moffatt ]
  * ubi-utils: don't use argp.h

  [ Otavio Salvador ]
  * do not ignore make clean failures during build

  [ Riku Voipio ]
  * Use LSB locations for manpages
  * compr_lzo.c: allocate enough memory for lzo compressor.
  * Actually include some information in the copyright file

  [ Zoltan Sogor ]
  * ubi-utils: fix wrong variable printout

 -- Riku Voipio <riku.voipio@iki.fi>  Fri, 11 Apr 2008 13:17:14 +0300

mtd-utils (20080224-1) unstable; urgency=low

  [ Otavio Salvador ]
  * import debian/ from 20061007-1 package
  * change source and binary packages to mtd-utils, following upstream
  * add myself as uploader
  * add liblzo2-dev as build-dependency
  * unubi.c: fix compilation with gcc 4.2.3
  * unubi_analyze.c: fix compilation warnings with gcc 4.2.3
  * eb_chain.c: fix compilation warnings with gcc 4.2.3
  * properly install files on the package
  * ubi-utils: fix compilation warnings in unubi.c when using gcc 4.2.3
  * add a transitional package to easy upgrades
  * update package description since it has been renamed

  [ Riku Voipio ]
  * Add homepage: and Vcs: fields

  [ David Woodhouse ]
  * Fix recv_image compilation with new glibc

 -- Otavio Salvador <otavio@ossystems.com.br>  Wed, 05 Mar 2008 17:35:13 -0300

mtd (20061007-1) unstable; urgency=low

  * New upstream snapshot, Closes: #391095
  * flash-eraseall now works: Closes: #386753
  * update to latest debhelper and policy

 -- Riku Voipio <riku.voipio@iki.fi>  Sat,  7 Oct 2006 18:43:49 +0300

mtd (20050122-2) unstable; urgency=low

  * Fix the version, darn
  * Get rid of historic conflict, closes: #160614

 -- Riku Voipio <riku.voipio@iki.fi>  Sun, 23 Jan 2005 12:56:16 +0000

mtd (20050122) unstable; urgency=low

  * New upstream snapshot
  * Upstream contains big-endian fixes, Closes: #291182
  * Apply gcc-4 fix from Andreas Jochens, Closes: #287678

 -- Riku Voipio <riku.voipio@iki.fi>  Sun, 23 Jan 2005 12:25:28 +0000

mtd (20041007-1) unstable; urgency=low

  * New upstream version, closes: #239954
  * New maintainer
  * Images created with mkfs.jffs2 actually work, closes: #260029
  * Hardlink work nowadays too, closes: #156311
  
 -- Riku Voipio <riku.voipio@iki.fi>  Fri,  8 Oct 2004 11:16:21 +0000

mtd (20011217-4) unstable; urgency=low

  * Add conflict with fsh, since both contain /usr/bin/fcp. (Closes: #160614)

 -- David Schleef <ds@schleef.org>  Thu, 12 Sep 2002 01:18:43 -0700

mtd (20011217-3) unstable; urgency=low

  * Few more fixes for usage of asm headers, from Anders Boström.
    Should build on ARM now.  (Closes #94591)
  * Added additional documentation files.
  * Added more entries to debian/undocumented.

 -- David Schleef <ds@schleef.org>  Mon, 14 Jan 2002 12:52:36 -0800

mtd (20011217-2) unstable; urgency=low

  * Fix usage of asm headers (Closes #94591)

 -- David Schleef <ds@schleef.org>  Fri, 11 Jan 2002 16:14:21 -0800

mtd (20011217-1) unstable; urgency=low

  * New snapshot.
  * Update standards-version.

