=== debian/control ===
Source: mtd-utils
Section: utils
Priority: extra
Maintainer: Riku Voipio <riku.voipio@linaro.org>
Uploaders: Otavio Salvador <otavio@debian.org>
Build-Depends: debhelper (>= 5.0), zlib1g-dev, libacl1-dev, liblzo2-dev, uuid-dev
Standards-Version: 3.9.5
Homepage: http://www.linux-mtd.infradead.org/
Vcs-Git: git://git.debian.org/git/collab-maint/mtd-utils.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/mtd-utils.git

Package: mtd-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Provides: mtd-tools
Replaces: mtd-tools
Description: Memory Technology Device Utilities
 Utilities for manipulating memory technology devices, such as flash
 memory, Disk-On-Chip, or ROM.  Includes mkfs.jffs2, a tool to create
 JFFS2 (journaling flash file system) filesystems.
