## mtd-utils 2.0.0

=== debian/changelog ===
mtd-utils (1:2.0.0-1) unstable; urgency=medium

  * New upstream release

 -- Riku Voipio <riku.voipio@linaro.org>  Fri, 23 Dec 2016 21:52:06 +0200

mtd-utils (1:2.0.0~rc1-1) unstable; urgency=medium

  * New upstream RC
  * Redo packaging now that upstream is autconf based

 -- Riku Voipio <riku.voipio@linaro.org>  Mon, 12 Dec 2016 14:54:38 +0200
