## mtd-utils 2.0.1

=== debian/changelog ===
mtd-utils (1:2.0.1-1ubuntu3) bionic; urgency=medium

  * Ignore test results on ppc64el because cmocka is broken there

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 08 Feb 2018 01:08:37 +0700

mtd-utils (1:2.0.1-1ubuntu2) bionic; urgency=medium

  * Use proper unsigned long type for ioctl requests in test wrappers.
    This fixes FTBFS on s390x and ppc64el

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 07 Feb 2018 03:54:47 +0700

mtd-utils (1:2.0.1-1ubuntu1) bionic; urgency=medium

  * Enable unit tests
  * Enable running tests using cherry-picked upstream commit
  * Build-depend on libcmocka-dev
  * Stop testing stat() calls to let tests succeed
  * Update mainainers

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 06 Feb 2018 06:14:02 +0700

mtd-utils (1:2.0.1-1) unstable; urgency=medium

  * New upstream version

 -- Riku Voipio <riku.voipio@linaro.org>  Fri, 25 Aug 2017 10:33:11 +0300
