=== debian/control ===
Source: mtd-utils
Section: utils
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Riku Voipio <riku.voipio@linaro.org>
Build-Depends: debhelper (>= 9), pkg-config, dh-autoreconf, zlib1g-dev, libacl1-dev, libcmocka-dev <!nocheck>, liblzo2-dev, uuid-dev
Standards-Version: 3.9.8
Homepage: http://www.linux-mtd.infradead.org/
Vcs-Git: https://alioth.debian.org/anonscm/git/collab-maint/mtd-utils.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/mtd-utils.git

Package: mtd-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Provides: mtd-tools
Replaces: mtd-tools
Description: Memory Technology Device Utilities
 Utilities for manipulating memory technology devices, such as flash
 memory, Disk-On-Chip, or ROM.  Includes mkfs.jffs2, a tool to create
 JFFS2 (journaling flash file system) filesystems.
