=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --enable-test --enable-unit-tests

# ignore test results on ppc64el because cmocka is broken in multiple ways
# there
ifeq ($(DEB_HOST_ARCH),ppc64el)
override_dh_auto_test:
	-dh_auto_test
endif
