## mtd-utils 2.1.1

=== debian/changelog ===
mtd-utils (1:2.1.1-1.1ubuntu1) groovy; urgency=medium

  * Merge from Debian unstable
    - Remaining changes: none
    - Dropped changes:
      * Enable unit tests
      * Build-depend on libcmocka-dev
      * Ignore test results on ppc64el because cmocka is broken there
  * Ignore test results on architectures where tests are not known to pass

 -- Balint Reczey <rbalint@ubuntu.com>  Sat, 11 Jul 2020 16:48:19 +0200

mtd-utils (1:2.1.1-1.1) unstable; urgency=medium

  [ Bastian Germann ]
  * Non-maintainer upload.
  * Conflict with libssl-dev
  * Add libmtd-dev and libubi-dev
  * lib*-dev: Don't include private kernel header

  [ Balint Reczey ]
  * Add minimal Salsa CI config
  * Enable unit tests
  * Build-depend on libcmocka-dev
  * Ignore test results on ppc64el because cmocka is broken there

  [ Riku Voipio ]
  * Disable test results everywhere

 -- Bastian Germann <bastiangermann@fishpost.de>  Tue, 23 Jun 2020 18:03:00 +0200

mtd-utils (1:2.1.1-1ubuntu1) focal; urgency=medium

  * Merge from Debian unstable
    - Remaining changes:
      * Enable unit tests
      * Build-depend on libcmocka-dev
      * Ignore test results on ppc64el because cmocka is broken there
    - Dropped changes
      * Enable running tests using cherry-picked upstream commit
      * Stop testing stat() calls to let tests succeed
      * Use proper unsigned long type for ioctl requests in test wrappers.
        This fixes FTBFS on s390x and ppc64el

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 28 Nov 2019 17:28:13 +0100

mtd-utils (1:2.1.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/changelog: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org

  [ Riku Voipio ]
  * New upstream release, closes: 902599, 902599, 921392

 -- Riku Voipio <riku.voipio@linaro.org>  Mon, 26 Aug 2019 10:39:56 +0300
