=== debian/control ===
Source: mtd-utils
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Riku Voipio <riku.voipio@linaro.org>
Build-Depends: debhelper (>= 9), pkg-config, dh-autoreconf, dh-exec (>= 0.3), zlib1g-dev, libacl1-dev, libcmocka-dev <!nocheck>, liblzo2-dev, uuid-dev, libzstd-dev
Build-Conflicts: libssl-dev
Standards-Version: 4.3.0
Homepage: http://www.linux-mtd.infradead.org/
Vcs-Git: https://salsa.debian.org/debian/mtd-utils.git
Vcs-Browser: https://salsa.debian.org/debian/mtd-utils

Package: mtd-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Provides: mtd-tools
Replaces: mtd-tools
Description: Memory Technology Device Utilities
 Utilities for manipulating memory technology devices, such as flash
 memory, Disk-On-Chip, or ROM.  Includes mkfs.jffs2, a tool to create
 JFFS2 (journaling flash file system) filesystems.

Package: libmtd-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}
Description: Memory Technology Device Development Libraries
 Development header and libraries for manipulating memory technology
 devices, such as flash memory, Disk-On-Chip, or ROM.

Package: libubi-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}
Description: UBIFS Development Libraries
 Development header and libraries for manipulating unsorted block
 image file systems.
