## mtd-utils 2.1.2

=== debian/changelog ===
mtd-utils (1:2.1.2-2) unstable; urgency=medium

  * Enable crypto support (Closes: #960351)
  * Link with system iniparser
  * Use dh 13 to get rid of dh-exec
  * Update Standards-Version; no changes required

 -- Bastian Germann <bastiangermann@fishpost.de>  Wed, 13 Jan 2021 23:42:07 +0100

mtd-utils (1:2.1.2-1) unstable; urgency=medium

  [ Bastian Germann ]
  * d/gbp.conf: Set debian-branch and pristine-tar
  * lintian: rules-requires-root-missing
  * Mention included tools in description (Closes: #905689)
  * d/rules: Build with all hardening features
  * Set myself as maintainer (Closes: #970640)

  [ Helmut Grohne ]
  * Fix FTCBFS with nocheck build profile. (Closes: #970801)

 -- Bastian Germann <bastiangermann@fishpost.de>  Mon, 21 Sep 2020 21:23:35 +0200

mtd-utils (1:2.1.2-0.1) unstable; urgency=medium

  [ Bastian Germann ]
  * Non-maintainer upload.
  * Import new upstream version (Closes: #965155, #716414)
  * Use arch:linux-any (Closes: #745187)
  * Add d/watch with pubkey
  * d/copyright: Convert to DEP-5
  * d/copyright: Add new copyrights for 2.1.2
  * Revert "lib*-dev: Don't include private kernel header"
  * lib*-dev: Mark Multi-Arch: same (Closes: #965213)

  [ Balint Reczey ]
  * Ignore test results on architectures where tests are not known to pass

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Drop unnecessary dependency on dh-autoreconf.
  * Drop unnecessary dh arguments: --parallel
  * Update standards version to 4.5.0, no changes needed.

 -- Bastian Germann <bastiangermann@fishpost.de>  Tue, 08 Sep 2020 20:52:53 +0200
