## mtd-utils 2.1.3

=== debian/changelog ===
mtd-utils (1:2.1.3-1) unstable; urgency=medium

  * New upstream version
  * Enable SELinux

 -- Bastian Germann <bastiangermann@fishpost.de>  Thu, 29 Jul 2021 18:09:32 +0200
