=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Riku Voipio <riku.voipio@linaro.org>
 Build-Depends: debhelper-compat (= 13), pkg-config, zlib1g-dev,
  libacl1-dev, libcmocka-dev <!nocheck>, liblzo2-dev, uuid-dev, libzstd-dev,
- libiniparser-dev, libssl-dev
+ libiniparser-dev, libselinux1-dev, libssl-dev
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: http://www.linux-mtd.infradead.org/
