## mtd-utils 2.1.4

=== debian/changelog ===
mtd-utils (1:2.1.4-1) unstable; urgency=medium

  * New upstream version
  * Add ubiscan utility

 -- Bastian Germann <bage@debian.org>  Mon, 10 Jan 2022 09:49:49 +0100

mtd-utils (1:2.1.3-2) unstable; urgency=medium

  * Set bage's debian.org email
  * Remove Riku (emeritus) from Uploaders (Closes: #1001564)

 -- Bastian Germann <bage@debian.org>  Fri, 10 Dec 2021 18:24:37 +0100
