=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: mtd-utils
 Section: utils
 Priority: optional
-Maintainer: Bastian Germann <bastiangermann@fishpost.de>
-Uploaders: Riku Voipio <riku.voipio@linaro.org>
+Maintainer: Bastian Germann <bage@debian.org>
 Build-Depends: debhelper-compat (= 13), pkg-config, zlib1g-dev,
  libacl1-dev, libcmocka-dev <!nocheck>, liblzo2-dev, uuid-dev, libzstd-dev,
  libiniparser-dev, libselinux1-dev, libssl-dev
