## mtd-utils 2.1.5

=== debian/changelog ===
mtd-utils (1:2.1.5-1) unstable; urgency=medium

  * New upstream version

 -- Bastian Germann <bage@debian.org>  Tue, 11 Oct 2022 00:51:34 +0200
