=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 endif
 
 override_dh_auto_configure:
-	dh_auto_configure -- $(CONFIGURE_ARGS)
+	dh_auto_configure -- --with-selinux $(CONFIGURE_ARGS)
 
 # tests are known to pass only on the listed architectures
 ifeq (,$(filter amd64 armel armhf arm64 i386 mipsel s390x x32,$(DEB_HOST_ARCH)))
