## mtd-utils 2.1.6

=== debian/changelog ===
mtd-utils (1:2.1.6-1) unstable; urgency=medium

  * QA upload
  * New upstream version

 -- Bastian Germann <bage@debian.org>  Mon, 04 Sep 2023 17:22:59 +0200
