## mtd-utils 2.2.0

=== debian/changelog ===
mtd-utils (1:2.2.0-1ubuntu2) noble; urgency=medium

  * d/rules: Skipping tests on armhf, due to broken mocking (LP: #2060214)
    See https://bugs.debian.org/1065956

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 16 Apr 2024 12:47:36 +0200

mtd-utils (1:2.2.0-1ubuntu1) noble; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Disable LTO in unittests.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Apr 2024 11:40:59 +0200

mtd-utils (1:2.2.0-1) unstable; urgency=medium

  * QA upload
  * New upstream version

 -- Bastian Germann <bage@debian.org>  Sat, 30 Mar 2024 14:37:16 +0100

mtd-utils (1:2.1.6-1ubuntu1) noble; urgency=medium

  * d/p/fix-ftbfs.patch: Disable LTO in unittests. (LP: #2060214)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 05 Apr 2024 12:19:10 +0200
