=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mtd-utils
 Section: utils
 Priority: optional
-Maintainer: Bastian Germann <bage@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper-compat (= 13), pkg-config, zlib1g-dev,
  libacl1-dev, libcmocka-dev <!nocheck>, liblzo2-dev, uuid-dev, libzstd-dev,
  libiniparser-dev, libselinux1-dev, libssl-dev
