=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,8 @@
 	dh_auto_configure -- --with-selinux $(CONFIGURE_ARGS)
 
 # tests are known to pass only on the listed architectures
-ifeq (,$(filter amd64 armel armhf arm64 i386 mipsel s390x x32,$(DEB_HOST_ARCH)))
+# Also broken on armhf, see https://bugs.debian.org/1065956
+ifeq (,$(filter amd64 armel arm64 i386 mipsel s390x x32,$(DEB_HOST_ARCH)))
 override_dh_auto_test:
 	-dh_auto_test
 endif
