## mtd-utils 2.3.0

=== debian/changelog ===
mtd-utils (1:2.3.0-1ubuntu1) questing; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/p/fix-ftbfs.patch: Disable LTO in unittests. (LP: #2060214)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 01 May 2025 16:43:23 +0100

mtd-utils (1:2.3.0-1) unstable; urgency=medium

  * QA upload.
  * d/gbp.conf: set debian-branch = debian/latest
  * New upstream version 2.3.0
  * Bump Standards-Version: 4.7.2
  * d/copyright: delete not exist Files: ubifs-utils/mkfs.ubifs/sign.* info

 -- xiao sheng wen <atzlinux@debian.org>  Sat, 29 Mar 2025 16:51:04 +0800

mtd-utils (1:2.2.0-2ubuntu2) plucky; urgency=medium

  * No-change rebuild for libiniparser4

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 01 Nov 2024 07:30:24 +0000

mtd-utils (1:2.2.0-2ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/p/fix-ftbfs.patch: Disable LTO in unittests. (LP: #2060214)

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 12 Jun 2024 17:23:02 +0200

mtd-utils (1:2.2.0-2) unstable; urgency=medium

  * QA upload
  * Skip tests on armel and armhf due to broken mocking (Closes: #1065956)

 -- Bastian Germann <bage@debian.org>  Thu, 02 May 2024 18:37:36 +0000
