=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13), pkg-config, zlib1g-dev,
  libacl1-dev, libcmocka-dev <!nocheck>, liblzo2-dev, uuid-dev, libzstd-dev,
  libiniparser-dev, libselinux1-dev, libssl-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: http://www.linux-mtd.infradead.org/
 Vcs-Git: https://salsa.debian.org/debian/mtd-utils.git
