=== debian/watch ===
version=4
opts=mode=git,pgpmode=gittag \
  git://git.infradead.org/mtd-utils.git refs/tags/v([\d\.]+)
